CONN_PROTO_READ_FUNC(3)

PROTO_FUNC
conn_PROTO_read_func - Connection read event callback.

SYNOPSIS
#include <karma_conn.h>

flag conn_PROTO_read_func

(Connection connection, void **info, Channel channel)

DESCRIPTION
This routine is called when data is ready to be read from a connection.

connection
    The connection object.

info
    A pointer to the arbitrary information pointer. This may be modified

channel
    The channel object on which the read event occurred. This may be the normal or datagram channel.

RETURN VALUE
TRUE on successful reading, else FALSE (indicating the connection should be closed).

Multi-threading Level
Unsafe.

NOTE
The <<close_func>> will be called if this routine returns FALSE.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/